Bug 148816 - Probable signed/unsigned variable mismatch for VM Size
Probable signed/unsigned variable mismatch for VM Size
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-system-monitor (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 15:37 EST by Steve Bonneville
Modified: 2014-06-18 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 10:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2005-02-15 15:37:34 EST
Description of problem:

When "VM Size" of a process exceeds 2 GB, it is displayed incorrectly as 
a large negative number which approaches zero as VM usage of the process
continues to increase.  Feels to me like a 32-bit signed integer is being 
used where an unsigned integer is needed.

Version-Release number of selected component (if applicable):
  gnome-system-monitor-2.0.5-2
 
Fedora Core 2 is also affected: gnome-system-monitor-2.6.0-3.  Have not
tested RHEL 4 or FC3, or on any architecture but 32-bit x86.
Comment 1 Steve Bonneville 2005-03-15 13:48:30 EST
Confirmed that this bug exists on RHEL 4 for 32-bit x86:
  gnome-system-monitor-2.7.0-2

Comment 2 Philipp Rusch 2005-11-15 05:26:15 EST
I also have the same Problem on RHEL 4 32bit x86. 
The Memory and the VM Size are equal, both Values are negative. 

Do you already know, when there will be a new release of the system-monitor
comes out?
Comment 3 Søren Sandmann Pedersen 2006-04-20 10:31:37 EDT
This problem should be fixed in the upcoming RHEL4 update

Note You need to log in before you can comment on or make changes to this bug.